﻿Type=Service
Version=7
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
	
#End Region

Sub Process_Globals	
	'These variables can be accessed from all modules.
	Private fm As FirebaseMessaging
'	Public Notifica As Notification
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.	
	fm.Initialize("fm")
	Log(fm.Token)
End Sub

Public Sub SubscribeToTopics
	
	fm.SubscribeToTopic("general") 'you can subscribe to more topics
   
'   fm.UnsubscribeFromTopic("general") 'you can unsubscribe to more topics
End Sub

Sub Service_Start (StartingIntent As Intent)
	If fm.HandleIntent(StartingIntent) Then Return

End Sub

Sub fm_MessageArrived (Message As RemoteMessage)
'	Log("Messaggio Arrivato")
	Log($"Message data: ${Message.GetData}"$)
'	Log(Message.GetData.Get("Topic"))
	Dim Notifica As Notification
	Notifica.Initialize
	Notifica.AutoCancel = True
	Notifica.Icon = "icon"
	Notifica.SetInfo(Message.GetData.Get("title"), Message.GetData.Get("body"), Main)
	Main.CorpoMess = Message.GetData.Get("body")
'	Main.CorpoMess = DateTime.Time(DateTime.Now)
	Main.TitoloMess = Message.GetData.Get("title")	
	Notifica.Notify(0)
	CallSubDelayed(Main, "NumeroMessaggio")
	CallSubDelayed(Main, "ListaMessaggio")
	
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
